part of 'realtime_device_changes_bloc.dart';

sealed class RealtimeDeviceChangesEvent extends Equatable {
  const RealtimeDeviceChangesEvent();

  @override
  List<Object> get props => [];
}

final class RealtimeDeviceChangesStarted extends RealtimeDeviceChangesEvent {
  const RealtimeDeviceChangesStarted(this.deviceId);

  final String deviceId;

  @override
  List<Object> get props => [deviceId];
}

final class RealtimeDeviceChangesClosed extends RealtimeDeviceChangesEvent {
  const RealtimeDeviceChangesClosed();
}

class _RealtimeDeviceChangesUpdated extends RealtimeDeviceChangesEvent {
  final List<Status> deviceStatusList;

  const _RealtimeDeviceChangesUpdated(this.deviceStatusList);
}